#ifndef WORLD_H
#define WORLD_H

#include "entity.h"
#include "config.h"

extern Entity entities[MAX_ENTITIES];

extern Entity *player;

extern bool isSimulating;

extern float simTime;

extern const float PMV;

extern const float PLAYER_SPEED_FACTOR;

void ApplyForce(Entity *e, Vector2 force);
bool IsGrounded(Entity *e);

Entity *SpawnEntity(
    float x,
    float y,
    float size,
    float mass,
    Color color);

void ClearWorld(void);
void InitWorld(void);

int CountEntities(void);

#endif
